package cokr.xit.fims.cmmn.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.cmmn.CrdnPayerHstry;
import cokr.xit.fims.cmmn.CrdnPayerHstryQuery;
import cokr.xit.fims.cmmn.service.CrdnPayerHstryService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**단속 납부자 이력 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-16	leebj 최초 작성
 * ================================
 * </pre>
 */
@Service("crdnPayerHstryService")
public class CrdnPayerHstryServiceBean extends AbstractServiceBean implements CrdnPayerHstryService {
	/** 단속 납부자 이력 정보 Bean */
	@Resource(name = "crdnPayerHstryBean")
	private CrdnPayerHstryBean crdnPayerHstryBean;

	@Override
	public List<DataObject> getCrdnPayerHstryList(CrdnPayerHstryQuery req) {
		return crdnPayerHstryBean.getCrdnPayerHstryList(req);
	}

	@Override
	public List<CrdnPayerHstry> getCrdnPayerHstrys(CrdnPayerHstryQuery req) {
		return crdnPayerHstryBean.getCrdnPayerHstrys(req);
	}

	@Override
	public boolean create(CrdnPayerHstry crdnPayerHstry) {
		return crdnPayerHstryBean.create(crdnPayerHstry);
	}

	@Override
	public boolean createHstryUpdateCrdnPyr(CrdnPayerHstry crdnPayerHstry) {
		return crdnPayerHstryBean.createHstryUpdateCrdnPyr(crdnPayerHstry);
	}
}